Bug 1309831 - vglrun depends on package "hostname"
Summary: vglrun depends on package "hostname"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: VirtualGL
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gary Gatling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-18 19:20 UTC by Dennis Schridde
Modified: 2018-07-10 15:51 UTC (History)
1 user (show)

Fixed In Version: VirtualGL-2.5.2-1.fc27 VirtualGL-2.5.2-1.fc28 VirtualGL-2.5.2-1.el6 VirtualGL-2.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-07 11:49:43 UTC
gsgatlin: needinfo-


Attachments (Terms of Use)

Description Dennis Schridde 2016-02-18 19:20:50 UTC
Description of problem:
```
# vglrun glxgears
/usr/bin/vglrun: line 203: hostname: command not found
[VGL] ERROR: Could not open display :0.
```

This is easily fixed by installing the `hostname` package.

Version-Release number of selected component (if applicable):
2.4-5.fc23

How reproducible:
Every time

Steps to Reproduce:
1. Try to run vglrun on a system where hostname is no installed

Actual results:
s.a.

Expected results:
vglrun works

Additional info:

Comment 1 Gary Gatling 2016-02-18 19:28:42 UTC
Sounds like I should add the hostname package as a Requires dependency.

Comment 2 Jan Kurik 2016-02-24 15:26:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Fedora End Of Life 2017-07-25 20:11:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Jan Kurik 2017-08-15 09:28:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Fedora Update System 2018-05-29 15:28:50 UTC
VirtualGL-2.5.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e1094319a

Comment 7 Fedora Update System 2018-05-29 15:46:04 UTC
VirtualGL-2.5.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-de5c029de5

Comment 8 Fedora Update System 2018-05-29 15:57:40 UTC
VirtualGL-2.5.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ab5f6eedc5

Comment 9 Fedora Update System 2018-05-29 16:03:31 UTC
VirtualGL-2.5.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-03c630c551

Comment 10 Fedora Update System 2018-05-30 13:41:41 UTC
VirtualGL-2.5.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-de5c029de5

Comment 11 Fedora Update System 2018-05-30 15:02:14 UTC
VirtualGL-2.5.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ab5f6eedc5

Comment 12 Fedora Update System 2018-05-30 15:10:10 UTC
VirtualGL-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-03c630c551

Comment 13 Fedora Update System 2018-05-30 16:55:35 UTC
VirtualGL-2.5.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e1094319a

Comment 14 Fedora Update System 2018-06-07 11:49:43 UTC
VirtualGL-2.5.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-06-07 12:34:57 UTC
VirtualGL-2.5.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-06-14 17:42:47 UTC
VirtualGL-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-06-14 19:52:25 UTC
VirtualGL-2.5.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.